Subject: Re: bug#55706: 29.0.50; files test fails about 20% of the time

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 02 Jun 2022 13:36:46 +0200

Michael Albinus <[email-masked]> writes:

> As you can see, the file attributes of "/tmp" are not equal. This is,
> because between the first and second call of file-attributes, "/tmp" has
> been changed due to the other test jobs running in parallel.

Heh.

> I've fixed this by creating a subdirectory of "/tmp", using it as
> temporary-file-directory. Pushed to master. Could you, pls, check
> whether this works also on your build machine with -j64? For me it works
> w/o any problem, even with an iteration of 100 over "make -j8 check".

Thanks; I can confirm that the problem is gone on my main build machine
after running with -j64 dozens of time.

(Closing the bug report.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no